# Bug

{% hint style="info" %}
For now if you use the default clothe shop from esx or qbcore, you will experience some bugs. This is because their clothes shop doesn't support peds.
{% endhint %}

make sure the development server fixes the bug or replaces it with another clothes shop.

So far for clothe shops you can use <mark style="color:yellow;">**Raid Clothes**</mark> or <mark style="color:yellow;">**illenium-appearance.**</mark>

or you can try other clothes shop.

### ➡️ INVISIBLE PEDS

If you're encountering this issue, consider checking your installation in the resource. Ensure that everything is in order, and double-check that you are using a valid Patreon license for FiveM minimum Cfx.re Element Club Argentum <https://www.patreon.com/fivem>.\
\
If you want test on your test server and dont use Patreon Licence. You can edit some line in your server.cfg

```
Server player slot limit (see https://fivem.net/server-hosting for limits)
sv_maxclients 1
```

Change sv\_clients to 1

### ➡️ Bug Hair and Head

If you're facing issues like hair color changing when moving the camera or a broken head upon logging into your server, it's likely not a problem with the character model but rather with your clothing scripts. Basic clothing scripts in ESX or QBCORE might not fully support the new character models (peds). We recommend switching to a different clothes store script. An alternative is using Illenium Appearance store script, as it is compatible with character models (peds).

We dont expert for the script, so dont ask to us for fix your script and We do not have any collaboration with Illenium Appearance, if there are problems with installation, please contact the Illenium Appearance team.

For the custom ped head issue that is broken, usually affecting the original "SetPedHeadBlendData", do a restriction on the original "SetPedHeadBlendData", for example:

````local
    local pedModel = GetEntityModel(playerPed)

    if pedModel == GetHashKey("mp_m_freemode_01") or pedModel == GetHashKey("mp_f_freemode_01") then
        SetPedHeadBlendData()
    end```
````

**Example on qb-cloth :**

```
    local playerPed = PlayerPedId()
    local pedModel = GetEntityModel(playerPed)

    if pedModel == GetHashKey("mp_m_freemode_01") or pedModel == GetHashKey("mp_f_freemode_01") then
        SetPedHeadBlendData(ped, data["face"].item, data["face2"].item, nil, data["face"].texture, data["face2"].texture, nil, data["facemix"].shapeMix, data["facemix"].skinMix, nil, true)
    end
```

*Source : TutusTK*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pewestudios.com/pewe-peds-guide/guides/bug.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
